Skip to main content
POST
/
v2
/
devices
/
register
Register Device
curl --request POST \
  --url https://api.loyalty.dog/v2/devices/register \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "deviceName": "<string>",
  "programId": "5eb7cf5a86d9755df3a6c593",
  "hardwareInfo": {},
  "locationName": "<string>",
  "locationAddress": "<string>"
}
'
{
  "deviceId": "<string>",
  "deviceSid": "<string>",
  "deviceToken": "<string>",
  "expiresAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

authorization
string | null

Body

application/json

Request schema for device registration.

deviceType
enum<string>
required

Type of device (tablet, kiosk, or tablet_kiosk)

Available options:
tablet_kiosk,
tablet,
kiosk
deviceName
string
required

Human-readable name for the device

programId
string
required

Loyalty program this device belongs to

Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

hardwareInfo
Hardwareinfo · object

Hardware information (model, OS version, etc.)

locationName
string | null

Physical location of device

locationAddress
string | null

Address of device location

Response

Successful Response

Response schema for successful device registration.

deviceId
string
required

Device ID

deviceSid
string
required

Device SID (human-readable identifier)

deviceToken
string
required

JWT token for device authentication

expiresAt
string<date-time>
required

Token expiration timestamp

status
enum<string>
required

Initial device status

Available options:
active,
inactive,
blocked,
pending_activation